#!/usr/bin/perl

use warnings;
use strict;

my $dir = pop @ARGV;

foreach (@ARGV) {
	my $org_faa = $_;
	my $org_gff = $_;
	$org_gff =~ s/\.faa/.gff/;

	my $enhanced_faa = $org_faa;
	my $enhanced_gff = $org_gff;

	$enhanced_faa =~ s/.*\///;	$enhanced_faa =~ s/\.faa/.add.faa/;
	$enhanced_gff =~ s/.*\///;	$enhanced_gff =~ s/\.gff/.add.gff/;

	$enhanced_gff = $dir."/".$enhanced_gff;
	$enhanced_faa = $dir."/".$enhanced_faa;

	my $final_faa = $org_faa;
	my $final_gff = $org_gff;

	$final_faa =~ s/.*\///;	$final_faa =~ s/\.faa/_PO.faa/;
	$final_gff =~ s/.*\///;	$final_gff =~ s/\.gff/_PO.gff/;

#	print "$org_faa $org_gff\n$enhanced_faa $enhanced_gff\n$final_faa\t$final_gff\n";

	system("cp $org_faa $final_faa");
	system("cp $org_gff $final_gff");

	print "$org_faa -> ";
	if (-e $enhanced_faa && -e $enhanced_gff) {
		print "$enhanced_faa\n";
		system("cat $enhanced_faa >>$final_faa");
		system("cat $enhanced_gff >>$final_gff");
	}
	else {
		print "No enhanced set available";
	}
	print "\n";

}

